package com.bumptech.glide.c.c;

import com.bumptech.glide.c.a.d;
import com.bumptech.glide.c.a.d$a;
import com.bumptech.glide.c.c.e.a;
import com.bumptech.glide.g;
import com.tencent.matrix.trace.core.AppMethodBeat;
import java.io.IOException;

final class e$b<Data> implements d<Data> {
    private final String aDT;
    private final a<Data> aDU;
    private Data data;

    e$b(String str, a<Data> aVar) {
        this.aDT = str;
        this.aDU = aVar;
    }

    public final void a(g gVar, d$a<? super Data> d_a) {
        AppMethodBeat.i(92048);
        try {
            this.data = this.aDU.aa(this.aDT);
            d_a.S(this.data);
            AppMethodBeat.o(92048);
        } catch (IllegalArgumentException e) {
            d_a.b(e);
            AppMethodBeat.o(92048);
        }
    }

    public final void cleanup() {
        AppMethodBeat.i(92049);
        try {
            this.aDU.R(this.data);
            AppMethodBeat.o(92049);
        } catch (IOException e) {
            AppMethodBeat.o(92049);
        }
    }

    public final void cancel() {
    }

    public final Class<Data> mg() {
        AppMethodBeat.i(92050);
        Class mg = this.aDU.mg();
        AppMethodBeat.o(92050);
        return mg;
    }

    public final com.bumptech.glide.c.a mh() {
        return com.bumptech.glide.c.a.ayD;
    }
}
